String[][] rulesS = {{"S", "SF-SFSFF--SF-SF"}, {"-", "-"}, {"F", "FS"}};
String[][] rulesDragon = {{"L", "L+SR+"}, {"R", "-L-R"}, {"+", "+"}, {"-", "-"}};

public void shapeInterpreted(){
  var l = new LSystem(10, 90, rulesDragon, "L", 's');//(16, 90, rulesS, "S-S-S-S", 's');
  Turtle t = new Turtle(this);
  t.penUp();
  //t.goToPoint(width-300, 300);
  t.setHeading(0);
  t.penDown();
  background(random(1,255), random(1,255), random(1,255));
  stroke(0, 0, 0);
  l.iterate(11);
  l.drawLSystem(t);
}

public void polygonHalt(Turtle t, float size, float angle){  
  var rotation = angle; // start at angle cuz if start at 0, 0%360 = 0, so no while loop
  // do initial so that we can enter the while loop
  t.forward(size);
  t.right(angle);
  
  while (rotation % 360 > 0){
    t.forward(size);
    t.right(angle);
    rotation += angle;
   }
}
