String[][] rulesF = {{"F", "F-F+F-F-F"}, {"-", "-"}, {"+", "+"}};

public void fractal(){
  // use a random size
  var l = new LSystem(random(7,15), 90, rulesF, "F-F-F-F", 'f');
  background(204, 204, 255);
  stroke(0);
  l.iterate(4);
  l.drawLSystem(new Turtle(this)); 
}

public void fractalAdjust(Turtle t, LSystem l, int drawCount){
  // alternate between red and black
  if (drawCount % 2 == 0){
    stroke(0, 0, 0); 
  }
  else{
    stroke(255, 51, 0);
  }
  // make the turtle face a different way than the previous loop
  t.penUp();
  t.goToPoint(width/2, height/2);
  t.setHeading(90 * drawCount);
  t.penDown();
  l.drawLSystem(t);
}
